package cn.iocoder.yudao.framework.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 全局部门类型枚举
 */
@AllArgsConstructor
@Getter
public enum DeptTypeEnum {

   HEAD_COMPANY("HEAD_COMPANY", "总公司"),
   COMPANY("COMPANY", "公司"),
   SALE_DEPT("SALE_DEPT", "销售部门"),
   DEVELOPMENT_DEPT("DEVELOPMENT_DEPT", "开发部门"),
   PRODUCTION_DEPT("TECHNICAL_DEPT", "生产部门"),
   MARKETING_DEPT("MARKETING_DEPT", "市场部门"),
   FINANCE_DEPT("FINANCE_DEPT", "财务部门"),
   HR_DEPT("HR_DEPT", "人力部门"),
   PURCHASING_DEPT("PURCHASING_DEPT", "采购部门"),
   PROJECT_DEPT("PROJECT_DEPT", "项目部门"),
   OTHER("OTHER", "其他部门");

   /**
    * 类型
    */
   private final String value;

   /**
    * 名称
    */
   private final String name;
}
